DELETE api/Pilots/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
Pilot| Name | Description | Type | Additional information |
|---|---|---|---|
| pilotId | globally unique identifier |
None. |
|
| name | string |
None. |
|
| pilotTypeId | globally unique identifier |
None. |
|
| phone | string |
None. |
|
| isLicenseGimel | boolean |
None. |
|
| isLicenseRT | boolean |
None. |
|
| createdDate | date |
None. |
|
| PilotType | PilotType |
None. |
Response Formats
application/json, text/json
Sample:
{
"pilotId": "f296f28c-4b8b-4028-90f2-1680a354778d",
"name": "sample string 2",
"pilotTypeId": "cf21c4a3-fd7b-4559-b66d-7758471871b1",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:45:10.8215814+00:00",
"PilotType": {
"pilotTypeId": "28ac421a-93f8-4c18-9a1b-b12af426dc95",
"name": "sample string 2"
}
}
text/html
Sample:
{"pilotId":"f296f28c-4b8b-4028-90f2-1680a354778d","name":"sample string 2","pilotTypeId":"cf21c4a3-fd7b-4559-b66d-7758471871b1","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:45:10.8215814+00:00","PilotType":{"pilotTypeId":"28ac421a-93f8-4c18-9a1b-b12af426dc95","name":"sample string 2"}}